
package ar.charlycimino.ejemplos;

import java.util.Scanner;

/**
 *
 * @author Charly Cimino
 * Aprendé más Java en mi canal: https://www.youtube.com/c/CharlyCimino
 * Encontrá más código en mi repo de GitHub: https://github.com/CharlyCimino
 */
public class EjercicioIntegrador11 {
    
    final static String CORTE = "*";
    final static String NOMBRE_INVALIDO = "@@@@@@@@";

    public static void main(String[] args) {
        Scanner input = new Scanner(System.in);
        String nombre, nombreMasJoven = NOMBRE_INVALIDO;
        int edad, minEdad = Integer.MAX_VALUE;
        
        System.out.print("Ingresá un nombre ("+ CORTE +" para cortar): ");
        nombre = input.nextLine();
        
        while (!nombre.equals(CORTE)) {
            System.out.print("Ingresá la edad para " + nombre + ": ");
            edad = Integer.parseInt(input.nextLine());            
            if (edad < minEdad) {
                minEdad = edad;
                nombreMasJoven = nombre;
            }            
            System.out.print("Ingresá otro nombre ("+ CORTE +" para cortar): ");
            nombre = input.nextLine();
        }
        
        if (!nombreMasJoven.equals(NOMBRE_INVALIDO)) {
            System.out.println("La persona más joven (" + minEdad + " años) es " + nombreMasJoven);
        } else {
            System.out.println("No se ingresaron personas");
        }
        
        
    }

}
